Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC
Bug 707690 - sys-fs/hfsplusutils-1.0.4-r2 : fails to build with -fno-common or gcc-10
Summary: sys-fs/hfsplusutils-1.0.4-r2 : fails to build with -fno-common or gcc-10
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: David Seifert
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: -fno-common
  Show dependency tree
 
Reported: 2020-01-31 22:22 UTC by Toralf Förster
Modified: 2020-02-08 12:07 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-info.txt (emerge-info.txt,16.89 KB, text/plain)
2020-01-31 22:22 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,231.49 KB, text/plain)
2020-01-31 22:22 UTC, Toralf Förster
Details
environment (environment,80.16 KB, text/plain)
2020-01-31 22:22 UTC, Toralf Förster
Details
etc.portage.tbz2 (etc.portage.tbz2,15.38 KB, application/x-bzip)
2020-01-31 22:22 UTC, Toralf Förster
Details
logs.tbz2 (logs.tbz2,7.48 KB, application/x-bzip)
2020-01-31 22:22 UTC, Toralf Förster
Details
sys-fs:hfsplusutils-1.0.4-r2:20200131-221829.log (sys-fs:hfsplusutils-1.0.4-r2:20200131-221829.log,17.60 KB, text/plain)
2020-01-31 22:22 UTC, Toralf Förster
Details
temp.tbz2 (temp.tbz2,25.39 KB, application/x-bzip)
2020-01-31 22:22 UTC, Toralf Förster
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2020-01-31 22:22:23 UTC
/bin/sh ../../libtool  --tag=CC   --mode=compile x86_64-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I. -I../..     -O2 -pipe -march=native -fno-common -fgnu89-inline -c -o partitions.lo partitions.c
libtool: compile:  x86_64-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I. -I../.. -O2 -pipe -march=native -fno-common -fgnu89-inline -c partitions.c  -fPIC -DPIC -o .libs/partitions.o
/bin/sh ../../libtool  --tag=CC   --mode=link x86_64-pc-linux-gnu-gcc  -O2 -pipe -march=native -fno-common -fgnu89-inline  -Wl,-O1 -Wl,--as-needed -o libhfsp.la -rpath /usr/lib64 blockiter.lo btree.lo btreecheck.lo fscheck.lo hfstime.lo libhfsp.lo os.lo unicode.lo record.lo volume.lo partitions.lo  
libtool: link: x86_64-pc-linux-gnu-gcc -shared  -fPIC -DPIC  .libs/blockiter.o .libs/btree.o .libs/btreecheck.o .libs/fscheck.o .libs/hfstime.o .libs/libhfsp.o .libs/os.o .libs/unicode.o .libs/record.o .libs/volume.o .libs/partitions.o   -Wl,--as-needed  -O2 -march=native -Wl,-O1   -Wl,-soname -Wl,libhfsp.so.0 -o .libs/libhfsp.so.0.0.0
/usr/lib/gcc/x86_64-pc-linux-gnu/9.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: .libs/fscheck.o:(.bss+0x0): multiple definition of `fsck_data'; .libs/btreecheck.o:(.bss+0x0): first defined here
collect2: error: ld returned 1 exit status

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 17.1_systemd-20200126-201521

  -------------------------------------------------------------------

  Please see the tracker bug for details.

gcc-config -l:
 [1] x86_64-pc-linux-gnu-9.2.0 *

clang:
clang version 9.0.1 
Target: x86_64-pc-linux-gnu
Thread model: posix
InstalledDir: /usr/lib/llvm/9/bin
llvm:
9.0.1
Available Python interpreters, in order of preference:
  [1]   python3.8
  [2]   python3.6
  [3]   python3.7 (fallback)
  [4]   python2.7 (fallback)
Available Ruby profiles:
  [1]   ruby24 (with Rubygems)
  [2]   ruby25 (with Rubygems) *
Available Rust versions:
  [1]   rust-1.40.0 *
java-config:
The following VMs are available for generation-2:
*)	AdoptOpenJDK 8.242_p08 [openjdk-bin-8]
Available Java Virtual Machines:
  [1]   openjdk-bin-8  system-vm
ghc:
The Glorious Glasgow Haskell Compilation System, version 8.0.2

repository:
==> /var/db/repos/gentoo/metadata/timestamp.chk <==
Fri, 31 Jan 2020 20:47:54 +0000

emerge -qpvO sys-fs/hfsplusutils
[ebuild  N    ] sys-fs/hfsplusutils-1.0.4-r2  USE="-static-libs"
Comment 1 Toralf Förster gentoo-dev 2020-01-31 22:22:26 UTC
Created attachment 610132 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2020-01-31 22:22:29 UTC
Created attachment 610134 [details]
emerge-history.txt
Comment 3 Toralf Förster gentoo-dev 2020-01-31 22:22:31 UTC
Created attachment 610136 [details]
environment
Comment 4 Toralf Förster gentoo-dev 2020-01-31 22:22:34 UTC
Created attachment 610138 [details]
etc.portage.tbz2
Comment 5 Toralf Förster gentoo-dev 2020-01-31 22:22:37 UTC
Created attachment 610140 [details]
logs.tbz2
Comment 6 Toralf Förster gentoo-dev 2020-01-31 22:22:40 UTC
Created attachment 610142 [details]
sys-fs:hfsplusutils-1.0.4-r2:20200131-221829.log
Comment 7 Toralf Förster gentoo-dev 2020-01-31 22:22:42 UTC
Created attachment 610144 [details]
temp.tbz2
Comment 8 Larry the Git Cow gentoo-dev 2020-02-08 12:07:04 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2a279e72974f0b853750e1c11fe5449a0a032660

commit 2a279e72974f0b853750e1c11fe5449a0a032660
Author:     David Seifert <soap@gentoo.org>
AuthorDate: 2020-02-08 12:06:45 +0000
Commit:     David Seifert <soap@gentoo.org>
CommitDate: 2020-02-08 12:06:45 +0000

    sys-fs/hfsplusutils: Fix GCC 10
    
    Closes: https://bugs.gentoo.org/707690
    Package-Manager: Portage-2.3.87, Repoman-2.3.20
    Signed-off-by: David Seifert <soap@gentoo.org>

 .../hfsplusutils-1.0.4-fno-common-gcc10.patch      | 27 ++++++++++++++++++++++
 sys-fs/hfsplusutils/hfsplusutils-1.0.4-r2.ebuild   |  3 ++-
 2 files changed, 29 insertions(+), 1 deletion(-)